How do I upgrade MacOS to 10.6 and higher? Follow

Zoom supports Mac OS X Snow Leopard 10.6 and above.

If you are running Mac OS X Leopard 10.5.x and wish to upgrade to Snow Leopard/10.6 or Lion/10.7, please see the following from Apple:

Was this article helpful?
Have more questions? Submit a request
Powered by Zendesk